### Method

# Gio Application get_dbus_connection

since: 2.34

#### Declaration

    GDBusConnection*
    g_application_get_dbus_connection (
      GApplication* application
    )

#### Description

Gets the `GDBusConnection` being used by the application, or `NULL`.

If `GApplication` is using its D-Bus backend then this function will return the `GDBusConnection` being used for uniqueness and communication with the desktop environment and other instances of the application.

If `GApplication` is not using D-Bus then this function will return `NULL`. This includes the situation where the D-Bus backend would normally be in use but we were unable to connect to the bus.

This function must not be called before the application has been registered. See g_application_get_is_registered().

Available since: 2.34

#### Return value

Type: `GDBusConnection`

A `GDBusConnection`, or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.